package com.caimei365.user.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/15
 */
@ApiModel("修改手机号")
@Data
public class MobileDto implements Serializable {
    /**
     * 手机号
     */
    @NotNull
    @ApiModelProperty("旧手机号(contractMobile)")
    private String mobile;
    /**
     * 短信验证码
     */
    @NotNull
    @ApiModelProperty("旧手机短信验证码(mobileCode)")
    private String smsCode;
    /**
     * 新手机号
     */
    @NotNull
    @ApiModelProperty("新手机号(contractMobile2)")
    private String newMobile;
    /**
     * 新短信验证码
     */
    @NotNull
    @ApiModelProperty("新手机短信验证码(newMobileCode)")
    private String newSmsCode;
    /**
     * 用户Id
     */
    @ApiModelProperty("用户Id")
    private Integer userId;
}
