package com.caimei365.user.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/5/11
 */
@Data
public class OrganizeRegisterDto {
    /**
     * 手机号
     */
    @ApiModelProperty("手机号")
    private String bindMobile;
    /**
     * 联系人
     */
    @ApiModelProperty("联系人")
    private String linkMan;
    /**
     * 密码
     */
    @ApiModelProperty("密码")
    private String password;
    /**
     * 机构名称
     */
    @ApiModelProperty("机构名称")
    private String name;
    /**
     * 省
     */
    @ApiModelProperty("省")
    private Integer provinceId;
    /**
     * 市
     */
    @ApiModelProperty("市")
    private Integer cityId;
    /**
     * 地址ID
     */
    @ApiModelProperty("地址ID")
    private Integer townId;
    /**
     * 详细地址
     */
    @ApiModelProperty("详细地址")
    private String address;
    /**
     * 营业执照编号
     */
    @ApiModelProperty("营业执照编号")
    private String socialCreditCode;
    /**
     * 营业执照
     */
    @ApiModelProperty("营业执照")
    private String businessLicense;
    /**
     * 门头照
     */
    @ApiModelProperty("门头照")
    private String shopPhoto;
    /**
     * 医疗执业许可证
     */
    @ApiModelProperty("医疗执业许可证")
    private String medicalPracticeLicense;
    /**
    /**
     * 外部商城机构类型 0内部结构 1外部机构
     */
    @ApiModelProperty("外部商城机构类型 0内部结构 1外部机构")
    private Integer organizeType;
    /**
     * 微信unionId
     */
    @ApiModelProperty("微信unionId")
    private String unionId;
    /**
     * 微信昵称
     */
    @ApiModelProperty("微信昵称")
    private String nickName;
    /**
     * 微信头像(headimgurl)
     */
    @ApiModelProperty("微信头像(headimgurl)")
    private String avatarUrl;
    /**
     * 是否勾选协议
     */
    private Integer isAgreed;
}
