package com.caimei365.user.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/10/22
 */
@ApiModel("供应商轮播图")
@Data
public class ShopBannerDto implements Serializable {
    /**
     * Id
     */
    @ApiModelProperty("Id")
    private Integer id;
    /**
     * 供应商Id
     */
    @ApiModelProperty("供应商Id")
    private Integer shopId;
    /**
     * 名称
     */
    @ApiModelProperty("名称")
    private String title;
    /**
     * 链接
     */
    @ApiModelProperty("链接")
    private String link;
    /**
     * 描述
     */
    @ApiModelProperty("描述")
    private String info;
    /**
     * 图片
     */
    @ApiModelProperty("图片")
    private String image;
    /**
     * 排序值
     */
    @ApiModelProperty("排序值")
    private Integer sort;
}
