package com.caimei365.user.model.po;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;


/**
 * @author zzj
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class VipPackage implements Serializable {
    private Integer id;
    private String name;
    /**
     * 现金开通价格
     */
    private Double price;
    /**
     * 套餐时长（月）
     */
    private Integer duration;
    /**
     * 采美豆兑换现金比例
     */
    private Integer proportion;
}
