package com.caimei365.user.model.po;

import lombok.Data;
import lombok.experimental.Accessors;
import org.apache.ibatis.type.Alias;

import java.io.Serializable;

/**
 * unionid与不同应用的openid关系对象 wx_union
 *
 * @author Kaick
 * @date 2023-11-30
 */
@Accessors(chain  = true )
@Data
@Alias("WxUnion")
public class WxUnion implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** 微信unionId */
    private String unionId;

    /** $column.columnComment */
        private Integer userId;

    /** crm公众openid */
    private String crmOpenid;

    /** 采美app openid */
    private String appOpenid;

    /** 小程序openId */
    private String miniProgramOpenId;

    /** 呵呵app openid */
    private String heheOpenid;


}



