package com.caimei365.user.model.vo;

import lombok.Data;

/**
 * Description  推文阅读量
 *
 * @author : hzg
 * @date : 2023/11/22
 */
@Data
public class ArticleReadVolumeVo {
    /**
     * 营销数据 id
     */
    private Integer marketReportId;
    /**
     * 日期
     */
    private String addTime;
    /**
     * 首发时间
     */
    private String firstTime;
    /**
     * 发文主题
     */
    private String title;
    /**
     * 跳转链接
     */
    private String link;
    /**
     * 主题简称
     */
    private String titleReferred;
    /**
     * 类型
     */
    private String type;
    /**
     * 首发时间
     */
    private String startTime;
    /**
     * 文章关键词
     */
    private String keyword;
    /**
     * 分发渠道
     */
    private String channel;
    /**
     * 总点击量
     */
    private Integer wechatNumber;
    /**
     * 总展现量
     */
    private Integer touchNumber;
    /**
     * 删除标记 0 未删除 1 已删除
     */
    private String delFlag;

}
