package com.caimei365.user.model.vo;

import com.caimei365.user.model.po.BaikeProductFilePo;
import com.caimei365.user.model.po.BaikeProductParamPo;
import com.caimei365.user.model.po.BaikeProductQuestionPo;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.Date;
import java.util.List;


/**
 * Description
 * @author Aslee
 * @version 2021-12-10
 */
@ApiModel("百科商品相关推荐")
@Data
public class BaikeRecommendVo {
	/**
	 * 相关推荐id
	 */
	private Integer recommendId;

	/**
	 * 百科商品id
	 */
	private Integer productId;

	/**
	 * 相关推荐产品/仪器id
	 */
	private Integer recommendProductId;

	/**
	 * 排序值
	 */
	private Integer sort;

	/**
	 * 相关推荐产品/仪器名称
	 */
	private String recommendProductName;
}