package com.caimei365.user.model.vo;

import lombok.Data;

import java.util.List;

/**
 * Description
 *
 * @author : hzg
 * @date : 2024/1/5
 */
@Data
public class CmShopCategoryVo {
    private Integer id;
    /**
     * 供应商Id
     */
    private Integer shopId;
    /**
     * 类别名称
     */
    private String category;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 添加时间
     */
    private String addTime;
    /**
     * 删除标记：0未删除，1已删除
     */
    private Integer delFlag;
    /**
     * 商品数量
     */
    private Integer productNumber;
    /**
     * 商品Id集合
     */
    private String productIds;
    /**
     * 商品集合
     */
    private List<ProductItemVo> products;
}
