package com.caimei365.user.mapper;

import com.caimei365.user.model.po.ServiceProviderModel;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * Mapper接口
 *
 * @author Kaick
 * @date 2023-12-14
 */
@Mapper
public interface CmProvidersMapper {
    /**
     * 通过对象查询列表
     *
     * @param cmProviders
     * @return 集合
     */
    List<ServiceProviderModel> getCmProvidersList(ServiceProviderModel cmProviders);

    /**
     * 通过Id查询对象
     *
     * @param id 主键
     * @return
     */
    ServiceProviderModel getCmProvidersById(String id);

    /**
     * 通过对象查询对象
     *
     * @param cmProviders
     * @return
     */
    ServiceProviderModel getByCmProviders(ServiceProviderModel cmProviders);

}
