package com.caimei365.user.model.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * 今日推荐商品
 *
 * @author : Aslee
 * @date : 2020/9/1
 */

@Data
public class AdvertiseVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键 advertiseID
     */
    private Integer advertiseId;
    /**
     * 首页栏位ID：6机构个人中心推荐栏位
     */
    private Integer typeId;
    /**
     * 广告位种类ID:1001推荐商品，1002推荐公司
     */
    private Integer advertiseTypeId;
    /**
     * 关联广告位ID
     */
    private Integer associationId;
    /**
     * 广告位图片URL
     */
    private String image;
    /**
     * 广告位链接
     */
    private String link;
    /**
     * 排序值
     */
    private Integer sortIndex;
    /**
     * 可用标志：1可用，0不可用
     */
    private String validFlag;
    /**
     * 广告标题
     */
    private String title;
    /**
     * 备注
     */
    private String comment;

}
