package com.caimei365.user.model.vo;

import lombok.Data;

import java.util.Date;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/3/24
 */
@Data
public class BehaviorRecodeVo {

    /**
     * 用户Id
     */
    private Integer userId;
    /**
     * 机构Id
     */
    private Integer clubId;
    /**
     * 访问记录ip
     */
    private String ip;
    /**
     * 页面类型
     */
    private String pageType;
    /**
     * 页面标签
     */
    private String pageLabel;
    /**
     * 商品图片
     */
    private String productImage;
    /**
     * 商品名称
     */
    private String productName;
    /**
     * 访问来源
     */
    private String accessSource;
    /**
     * 访问客户端
     */
    private String accessClient;
    /**
     * 访问日期
     */
    private String accessDate;
    /**
     * 访问时间
     */
    private Date accessTime;
    /**
     * 新访问时间
     */
    private String accessNewTime;
    /**
     * 访问时长
     */
    private String accessDuration;
    /**
     * 数量
     */
    private Integer number;
    /**
     * 访问页面总数
     */
    private Integer numbers;

}
