package com.caimei365.user.model.vo;

import lombok.Data;

/**
 * Description  用户身份分布
 *
 * @author : hzg
 * @date : 2023/11/23
 */
@Data
public class StageVo {
    /**
     * 营销数据 id
     */
    private Integer marketReportId;
    /**
     * 添加时间
     */
    private String addTime;
    /**
     * 报表日期
     */
    private String reportDate;
    /**
     * 阶段
     */
    private String stage;
    /**
     * 主题
     */
    private String theme;
    /**
     * 删除标记 0 未删除 1 已删除
     */
    private String delFlag;
}
