package com.caimei365.user.model.vo;

import lombok.Data;

/**
 * Description  用户类型分布
 *
 * @author : hzg
 * @date : 2023/11/23
 */
@Data
public class SummaryVo {
    /**
     * 营销数据 id
     */
    private Integer marketReportId;
    /**
     * 日期
     */
    private String addTime;
    /**
     * 关键词
     */
    private String keyword;
    /**
     * SEO排名
     */
    private String seoRanking;
    /**
     * 占比
     */
    private Integer searchVolume;
    /**
     * 删除标记 0 未删除 1 已删除
     */
    private String delFlag;
}
